ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Opt.OccurAnal

Synopsis

- occurAnalysePgm :: Module -> (Id -> Bool) -> (Activation -> Bool) -> [CoreRule] -> CoreProgram -> CoreProgram
- occurAnalyseExpr :: CoreExpr -> CoreExpr
- zapLambdaBndrs :: CoreExpr -> FullArgCount -> CoreExpr
- scrutBinderSwap_maybe :: OutExpr -> Maybe (OutVar, MCoercion)

# Documentation

occurAnalysePgm :: Module -> (Id -> Bool) -> (Activation -> Bool) -> [CoreRule] -> CoreProgram -> CoreProgram #

occurAnalyseExpr :: CoreExpr -> CoreExpr #

Do occurrence analysis, and discard occurrence info returned

zapLambdaBndrs :: CoreExpr -> FullArgCount -> CoreExpr #

scrutBinderSwap_maybe :: OutExpr -> Maybe (OutVar, MCoercion) #